<?php

	require("_init.php");
	require("_funcstd.php");
	require("_funclist.php");
	require("_basicshow.class.php");
	require("_login.class.php");

	$login = new gfsoftlogin(0,false);

	$outputhtml = new gfbasicshow( "Total Penjualan Per Cabang", false, "Total Penjualan Per Cabang", 400 );
	$outputhtml->tombolmenu = true;

	$outputhtml->headeradd( '<script type="text/javascript">' );

	$outputhtml->headeradd( '	$(function() {' );
	$outputhtml->headeradd( '		var jQueryAccordionOpts = ' );
	$outputhtml->headeradd( '		{' );
	$outputhtml->headeradd( '			event: "click",' );
	$outputhtml->headeradd( '			animated: "easeOutBounce",' );
	$outputhtml->headeradd( '			icons: {header:"ui-icon-circle-plus", headerSelected:"ui-icon-circle-check"},' );
	$outputhtml->headeradd( '			header: "h3",' );
	$outputhtml->headeradd( '			active: false,' );
	$outputhtml->headeradd( '			fillSpace: false' );
	$outputhtml->headeradd( '		}' );
	$outputhtml->headeradd( '		$("#totaljual").accordion(jQueryAccordionOpts);' );
	$outputhtml->headeradd( '		initDateWithButton("#tanggal1")' );
	$outputhtml->headeradd( '		initDateWithButton("#tanggal2")' );
	$outputhtml->headeradd( '	});' );

	$outputhtml->headeradd( '	$(document).ready(function() {' );
	$outputhtml->headeradd( '		$("#form1").submit(function() {' );		// pake onsubmit gak bisa pada JQuery Mobile ...
	$outputhtml->headeradd( '			showwait( "Mohon Tunggu Sebentar..." );' );
	$outputhtml->headeradd( '			return true;' );
	$outputhtml->headeradd( '		})' );
	$outputhtml->headeradd( '		$("#form2").submit(function() {' );
	$outputhtml->headeradd( '			showwait( "Mohon Tunggu Sebentar..." );' );
	$outputhtml->headeradd( '			return true;' );
	$outputhtml->headeradd( '		})' );
	$outputhtml->headeradd( '	});' );
	$outputhtml->headeradd( '</script>' );

	$listmonth = @listmonth( date("m") );
	$listtahun = @listyear( date("Y") );

	$outputhtml->bodyadd( '<div id="totaljual" style="margin:0;position:absolute;left:50px;top:50px;width:900px">' );

	$outputhtml->bodyadd( '	<h3><a href="#">TOTAL PENJUALAN PER TANGGAL</a></h3>' );
	$outputhtml->bodyadd( '	<div>' );
	$outputhtml->bodyadd( '		<form id="form1" name="form1" METHOD="post" action="totaljualcabangtanggal.php" accept-charset="UTF-8">' );
	$outputhtml->bodyadd( '		<table border="0" cellpadding="0" cellspacing="0" style="width:100%">' );
	$outputhtml->bodyadd( '			<tr>' );
	$outputhtml->bodyadd( '				<td align="left" style="width:60px" class="standardhuruf">Tanggal</td>' );
	$outputhtml->bodyadd( '				<td align="left" style="width:10px" class="standardhuruf">:</td>' );
	$outputhtml->bodyadd( '				<td align="left" style="width:140px"><input type="text" name="tanggal" id="tanggal1" class="text ui-widget-content ui-corner-all" style="width:90px;padding:.2em" value="' . date("d-m-Y") . '"></td>' );
	$outputhtml->bodyadd( '				<td align="right"><button id="buttonproses" type="submit" name="" value="" style="width:200px;height:35px;background-color:#8B0000;"><font style="font-size:12px" color="#FFFFFF" face="Verdana"><b>Proses</b></font></button></td>' );
	$outputhtml->bodyadd( '			</tr>' );
	$outputhtml->bodyadd( '		</table>' );
	$outputhtml->bodyadd( '		</form>' );
	$outputhtml->bodyadd( '	</div>' );

	$outputhtml->bodyadd( '	<h3><a href="#">TOTAL PENJUALAN PER BULAN</a></h3>' );
	$outputhtml->bodyadd( '	<div>' );
	$outputhtml->bodyadd( '		<form id="form2" name="form2" METHOD="post" action="totaljualcabangbulan.php" accept-charset="UTF-8">' );
	$outputhtml->bodyadd( '		<table border="0" cellpadding="0" cellspacing="0" style="width:100%">' );
	$outputhtml->bodyadd( '			<tr>' );
	$outputhtml->bodyadd( '				<td align="left" style="width:50px" class="standardhuruf">Bulan</td>' );
	$outputhtml->bodyadd( '				<td align="left" style="width:10px" class="standardhuruf">:</td>' );
	$outputhtml->bodyadd( '				<td align="left" style="width:125px"><select name="bulan" id="bulan1" class="text ui-widget-content ui-corner-all" style="width:120px;height:25px;padding:.2em;"> ' . $listmonth . '</select></td>' );
	$outputhtml->bodyadd( '				<td align="left" style="width:70px"><input type="text" name="tahun" id="tahun1" class="text ui-widget-content ui-corner-all" style="width:50px;padding:.2em" value="' . date("Y") . '" maxlength="4" onKeyPress="return editnumbersonly(this,event)"></td>' );
	$outputhtml->bodyadd( '				<td align="right"><button id="buttonproses" type="submit" name="" value="" style="width:200px;height:35px;background-color:#8B0000;"><font style="font-size:12px" color="#FFFFFF" face="Verdana"><b>Proses</b></font></button></td>' );
	$outputhtml->bodyadd( '			</tr>' );
	$outputhtml->bodyadd( '		</table>' );
	$outputhtml->bodyadd( '		</form>' );
	$outputhtml->bodyadd( '	</div>' );

	$outputhtml->bodyadd( '	<h3><a href="#">TOTAL PENJUALAN PER BARANG PER CABANG PER TANGGAL</a></h3>' );
	$outputhtml->bodyadd( '	<div>' );
	$outputhtml->bodyadd( '		<form id="form3" name="form3" METHOD="post" action="totaljualcabangbarangtanggal.php" accept-charset="UTF-8">' );
	$outputhtml->bodyadd( '		<table border="0" cellpadding="0" cellspacing="0" style="width:100%">' );
	$outputhtml->bodyadd( '			<tr>' );
	$outputhtml->bodyadd( '				<td align="left" style="width:60px" class="standardhuruf">Tanggal</td>' );
	$outputhtml->bodyadd( '				<td align="left" style="width:10px" class="standardhuruf">:</td>' );
	$outputhtml->bodyadd( '				<td align="left" style="width:140px"><input type="text" name="tanggal" id="tanggal2" class="text ui-widget-content ui-corner-all" style="width:90px;padding:.2em" value="' . date("d-m-Y") . '"></td>' );
	$outputhtml->bodyadd( '				<td align="right"><button id="buttonproses" type="submit" name="" value="" style="width:200px;height:35px;background-color:#8B0000;"><font style="font-size:12px" color="#FFFFFF" face="Verdana"><b>Proses</b></font></button></td>' );
	$outputhtml->bodyadd( '			</tr>' );
	$outputhtml->bodyadd( '		</table>' );
	$outputhtml->bodyadd( '		</form>' );
	$outputhtml->bodyadd( '	</div>' );
	
	$outputhtml->bodyadd( '	<h3><a href="#">TOTAL PENJUALAN PER BARANG PER CABANG PER BULAN</a></h3>' );
	$outputhtml->bodyadd( '	<div>' );
	$outputhtml->bodyadd( '		<form id="form4" name="form4" METHOD="post" action="totaljualcabangbarangbulan.php" accept-charset="UTF-8">' );
	$outputhtml->bodyadd( '		<table border="0" cellpadding="0" cellspacing="0" style="width:100%">' );
	$outputhtml->bodyadd( '			<tr>' );
	$outputhtml->bodyadd( '				<td align="left" style="width:50px" class="standardhuruf">Bulan</td>' );
	$outputhtml->bodyadd( '				<td align="left" style="width:10px" class="standardhuruf">:</td>' );
	$outputhtml->bodyadd( '				<td align="left" style="width:125px"><select name="bulan" id="bulan2" class="text ui-widget-content ui-corner-all" style="width:120px;height:25px;padding:.2em;"> ' . $listmonth . '</select></td>' );
	$outputhtml->bodyadd( '				<td align="left" style="width:70px"><input type="text" name="tahun" id="tahun2" class="text ui-widget-content ui-corner-all" style="width:50px;padding:.2em" value="' . date("Y") . '" maxlength="4" onKeyPress="return editnumbersonly(this,event)"></td>' );
	$outputhtml->bodyadd( '				<td align="right"><button id="buttonproses" type="submit" name="" value="" style="width:200px;height:35px;background-color:#8B0000;"><font style="font-size:12px" color="#FFFFFF" face="Verdana"><b>Proses</b></font></button></td>' );
	$outputhtml->bodyadd( '			</tr>' );
	$outputhtml->bodyadd( '		</table>' );
	$outputhtml->bodyadd( '		</form>' );
	$outputhtml->bodyadd( '	</div>' );

	$outputhtml->bodyadd( '</div>' );

	$outputhtml->output();

?>